function dYfuncvecdt = ODEfun(t,Yfuncvec); 
T = Yfuncvec(1); 
X = Yfuncvec(2); 
% Explicit equations
NCp = 2504; 
V = 3.265 + 1.854; 
Nao = 9.0448; 
UA = 35.83; 
DeltaHrx = -590000; 
Nbo = 33; 
k = 0.00017 * exp(11273 / 1.987 * (1 / 461 - (1 / T))); 
if (t > 45 & t < 55) 
    Qr = 0;
else
    Qr = UA * (T - 298);
end 
Theata = Nbo / Nao; 
ra = 0 - (k * Nao ^ 2 * (1 - X) * (Theata - (2 * X)) / (V ^ 2)); 
Qg = ra * V * DeltaHrx; 
% Differential equations
if (t < 45) 
    dTdt = 0;
else
    dTdt = (Qg - Qr) / NCp;
end 
dXdt = (0 - ra) * V / Nao; 
dYfuncvecdt = [dTdt; dXdt]; 

